TIBCO Security Advisory: June 28, 2017 - TIBCO JasperReports Server - 2017-5529

TIBCO JasperReports Library Information Disclosure

Original release date: June 28, 2017
Last revised: --
CVE-2017-5529
Source: TIBCO Software Inc.

Systems Affected

  • TIBCO JasperReports Library Community Edition versions 6.4.0 and below
  • TIBCO JasperReports Library for ActiveMatrix BPM versions 6.2.0 and below
  • TIBCO JasperReports Professional version 6.2.1 and below
  • TIBCO JasperReports Professional version 6.3.0
  • TIBCO JasperReports Server version 6.1.1 and below
  • TIBCO JasperReports Server version 6.2.0, and 6.2.1
  • TIBCO JasperReports Server version 6.3.0
  • TIBCO JasperReports Server Community Edition version 6.3.0 and below
  • TIBCO JasperReports Server for ActiveMatrix BPM versions 6.2.0 and below
  • TIBCO Jaspersoft for AWS with Multi-Tenancy versions 6.3.0 and below
  • TIBCO Jaspersoft Reporting and Analytics for AWS versions 6.3.0 and below
  • TIBCO Jaspersoft Studio for ActiveMatrix BPM versions 6.2.0 and below

The following components are affected:

  • jasperreports-{version} JAR files

Description

The JasperReports Library components listed above contain an information disclosure vulnerability.

Impact

This vulnerability includes the theoretical disclosure of any accessible information from the host file system.

  CVSS v3 Base Score: 4.1 (CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:N/A:N)

Solution

TIBCO has released updated versions of the affected components which address these issues.

For each affected system, update to the corresponding software versions.

For TIBCO JasperReports Library Community Edition, upgrade to:

  • version 6.4.1 or higher.

For TIBCO JasperReports Library for ActiveMatrix BPM, upgrade to:

  • version 6.4.1 or higher.

For TIBCO JasperReports Professional:

  • versions 6.2.X and below upgrade to version 6.2.3 or higher,
  • versions 6.3.X upgrade to version 6.3.2 or higher.

For TIBCO JasperReports Server, upgrade:

  • versions 6.1.1 and below to version 6.1.2 or higher,
  • versions 6.2.X to version 6.2.3 or higher,
  • versions 6.3.X to version 6.3.2 or higher.

For TIBCO JasperReports Server Community Edition, upgrade:

  • to version 6.4.0 or higher.

For TIBCO JasperReports Server for ActiveMatrix BPM, upgrade:

  • to version 6.4.0 or higher.

For TIBCO Jaspersoft for AWS with Multi-Tenancy, upgrade:

  • to version 6.4.0 or higher.

For TIBCO Jaspersoft Reporting and Analytics for AWS, upgrade:

  • to version 6.4.0 or higher.

For TIBCO Jaspersoft Studio for ActiveMatrix BPM, upgrade:

  • to version 6.4.0 or higher.

---------------------

The information on this page is being provided to you on an "AS IS" and "AS-AVAILABLE" basis. The issues described on this page may or may not impact your system(s). TIBCO makes no representations, warranties, or guarantees as to the information contained herein. ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE ARE HEREBY DISCLAIMED. BY ACCESSING THIS DOCUMENT YOU ACKNOWLEDGE THAT TIBCO SHALL IN NO EVENT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, PUNITIVE, OR CONSEQUENTIAL DAMAGES THAT ARISE OUT OF YOUR USE OR FAILURE TO USE THE INFORMATION CONTAINED HEREIN. The information on this page is being provided to you under the terms of your license and/or services agreement with TIBCO, and may be used only for the purposes contemplated by the agreement. If you do not have such an agreement with TIBCO, this information is provided under the TIBCO.com Terms of Use, and may be used only for the purposes contemplated by such Terms of Use.

SECURITY ADVISORIES FOR TIBCO PRODUCTS

ADVISORY FREQUENTLY ASKED QUESTIONS

Security FAQs